#ifndef FTPP_BBOX_H
#define FTPP_BBOX_H

#include <freetype2/ft2build.h>
#include FT_IMAGE_H
#include <ostream>

namespace freetype {

class BoundingBox {
   public:
      BoundingBox() : xMin(0), yMin(0), xMax(0), yMax(0) {
      }
      BoundingBox(const FT_BBox& bbox) :
	    xMin(bbox.xMin), yMin(bbox.yMin),
	    xMax(bbox.xMax), yMax(bbox.yMax) {
      }
      BoundingBox(FT_Pos xMin, FT_Pos yMin, FT_Pos xMax, FT_Pos yMax) :
	    xMin(xMin), yMin(yMin), xMax(xMax), yMax(yMax) {
      }
      FT_Pos xMin, yMin;
      FT_Pos xMax, yMax;
};

inline std::ostream& operator<<(std::ostream& out, const BoundingBox& bbox) {
   return out <<
      "(" << bbox.xMin << ", " << bbox.yMin << "), " <<
      "(" << bbox.xMax << ", " << bbox.yMax << ")";
}

} // namespace freetype

#endif
