#include <cstdlib>
#include <ftpp/exception.hpp>

#undef FTERRORS_H_
#define FT_ERRORDEF(e, v, s)  { e, s },
#define FT_ERROR_START_LIST
#define FT_ERROR_END_LIST

static const struct {
   FT_Error error;
   const char* msg;
} ft_errors[] = {
#include FT_ERRORS_H
};

namespace freetype {

const char* get_error_string(FT_Error error) {
   for (std::size_t i = 0; i < sizeof(ft_errors)/sizeof(ft_errors[0]); ++i) {
      if (error == ft_errors[i].error) {
	 return ft_errors[i].msg;
      }
   }
   return nullptr;
}

} // namespace freetype
