#ifndef FTPP_VECTOR_H
#define FTPP_VECTOR_H

#include <freetype2/ft2build.h>
#include FT_IMAGE_H
#include <ostream>
#include <ftpp/f26dot6.hpp>

namespace freetype {

class Vector {
   public:
      Vector() : x(0), y(0) {
      }
      Vector(f26dot6 x, f26dot6 y) : x(x), y(y) {
      }
      Vector(FT_Vector vector) : x(vector.x), y(vector.y) {
      }
      f26dot6 x;
      f26dot6 y;
};

inline std::ostream& operator<<(std::ostream& out, const Vector& vector) {
   return out << "(" << vector.x << ", " << vector.y << ")";
}

} // namespace freetype

#endif
